<?php

namespace Drupal\drupalorg_crosssite\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'Search' Block for *.drupal.org sites.
 *
 * @Block(
 *   id = "drupalorg_crosssite_search",
 *   admin_label = @Translation("drupal.org cross-site search block"),
 * )
 */
class DrupalOrgSearchBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    return \Drupal::formBuilder()->getForm('Drupal\drupalorg_crosssite\Form\DrupalOrgSearchForm');
  }

}
